NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.FitSurfaceBuilder Class Reference

This class will provide the ability to fit surfaces through facet bodies or point sets/groups. More...

Inheritance diagram for NXOpen.Features.FitSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyType { Sheet, Solid }
 Body Preference type. More...
 
enum  DirectionType { BestFit, Vector, Orientation, Csys }
 Direction method provides the ability to specify the projection direction and orientation More...
 
enum  TargetType { Object, ColorRegion, FacetRegion }
 Target type provides the ability to specify a object or a color coded region as the target More...
 
enum  Types {
  Fitfreeform, Fitplane, Fitsphere, Fitcylinder,
  Fitcone
}
 Fit Surface creation types More...
 

Public Member Functions

unsafe void EditCSYS (NXOpen.Point3d originCsys, NXOpen.Matrix3x3 matCsys)
 The edit CSYS for Orientation option More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AngleValue [get]
 Returns the angle is fixed to a specific value More...
 
unsafe
NXOpen.Features.FitSurfaceBuilder.BodyType 
BodyTypePreference [get, set]
 Returns or sets the body preference type. More...
 
unsafe NXOpen.CoordinateSystem CoordinateSystem [get, set]
 Returns or sets the coordinate system More...
 
unsafe
NXOpen.Features.FitSurfaceBuilder.DirectionType 
DirectionOption [get, set]
 Returns or sets the direction option More...
 
unsafe NXOpen.FacetCollector FacetCollector [get]
 Returns the FacetCollector which collects the selected facet region More...
 
unsafe bool IsAutomatic [get, set]
 Returns or sets the automatic point rejection More...
 
unsafe bool IsBoundary [get, set]
 Returns or sets the boundary will limit or extend to the boundaries More...
 
unsafe bool IsClosed [get, set]
 Returns or sets the closed or open surface More...
 
unsafe bool IsConstrained [get, set]
 Returns or sets the constraint option More...
 
unsafe bool IsHalfAngle [get, set]
 Returns or sets the half angle option More...
 
unsafe bool IsMultipleFeatures [get, set]
 Returns or sets the creation of multiple features or single feature More...
 
unsafe bool IsRadius [get, set]
 Returns or sets the radius option More...
 
unsafe bool IsSingleSurface [get, set]
 Returns or sets the creation of single surface feature More...
 
unsafe bool IsUniformU [get, set]
 Returns or sets the uniform pathches in U More...
 
unsafe bool IsUniformV [get, set]
 Returns or sets the uniform patches in V More...
 
unsafe
NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder 
Parameterization [get]
 Returns the parameterization More...
 
unsafe NXOpen.Point Point1 [get, set]
 Returns or sets the first point of the boundary More...
 
unsafe NXOpen.Point Point2 [get, set]
 Returns or sets the second point of the boundary More...
 
unsafe NXOpen.Point Point3 [get, set]
 Returns or sets the third point of the boundary More...
 
unsafe NXOpen.Point Point4 [get, set]
 Returns or sets the fourth point of the boundary More...
 
unsafe NXOpen.Expression RadiusValue [get]
 Returns the radius is fixed to a specific value More...
 
unsafe NXOpen.Expression RejectionThresholdValue [get]
 Returns the rejection threshold value More...
 
unsafe int SmoothFactor [get, set]
 Returns or sets the smooth factor influences the smoothness of the surface More...
 
unsafe NXOpen.SelectNXObject TargetObject [get]
 Returns the target object to which the face is fitted to can be a facet body, a convergent object, a point set or a point group More...
 
unsafe NXOpen.SelectNXObjectList TargetObjects [get]
 Returns the target objects to which the face is fitted to can be a facet body, a point set or a point group More...
 
unsafe
NXOpen.Features.FitSurfaceBuilder.TargetType 
TargetOption [get, set]
 Returns or sets the target option More...
 
unsafe
NXOpen.GeometricUtilities.ColorCodedRegionBuilder 
TargetRegion [get]
 Returns the target regions which is a color coded region More...
 
unsafe
NXOpen.Features.FitSurfaceBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the vector specifies the projection direction More...
 
unsafe NXOpen.Direction VectorConstraint [get, set]
 Returns or sets the direction constraint More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class will provide the ability to fit surfaces through facet bodies or point sets/groups.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateFitSurfaceBuilder

Default values.

Property Value

AngleValue.Value

30

DirectionOption

BestFit

IsAutomatic

0

IsBoundary

0

IsClosed

1

IsConstrained

0

IsHalfAngle

0

IsMultipleFeatures

0

IsRadius

0

IsSingleSurface

0

IsUniformU

0

IsUniformV

0

Parameterization.Degree

3

Parameterization.SegmentsOrPatches

1

Parameterization.UDegree

5

Parameterization.UPatches

1

Parameterization.VDegree

5

Parameterization.VPatches

1

RadiusValue.Value

50 (millimeters part), 2 (inches part)

RejectionThresholdValue.Value

10 (millimeters part), 0.5 (inches part)

SmoothFactor

0

TargetOption

Object

TargetRegion.AllSameColor

0

Created in NX8.5.0

Member Enumeration Documentation

Body Preference type.

Enumerator
Sheet 

sheet type

Solid 

solid type

Direction method provides the ability to specify the projection direction and orientation

Enumerator
BestFit 

The fit target is sort of rectangular.

Vector 

Vector will specify the fit direction.

Orientation 

Orientation will specify the direction and U/V orientation.

Csys 

CSYS will specify same as orientation but with the need to make it associative with existing geometry.

Target type provides the ability to specify a object or a color coded region as the target

Enumerator
Object 

This option will select the entire object

ColorRegion 

This option will select a color coded region

FacetRegion 

Fit Surface creation types

Enumerator
Fitfreeform 

Fit Freeform

Fitplane 

Fit Plane

Fitsphere 

Fit Sphere

Fitcylinder 

Fit Cylinder

Fitcone 

Fit Cone

Member Function Documentation

unsafe void NXOpen.Features.FitSurfaceBuilder.EditCSYS ( NXOpen.Point3d  originCsys,
NXOpen.Matrix3x3  matCsys 
)
inline

The edit CSYS for Orientation option

Created in NX8.5.0

License requirements: None.

Parameters
originCsys
matCsys

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.FitSurfaceBuilder.AngleValue
get

Returns the angle is fixed to a specific value

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.FitSurfaceBuilder.BodyType NXOpen.Features.FitSurfaceBuilder.BodyTypePreference
getset

Returns or sets the body preference type.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.CoordinateSystem NXOpen.Features.FitSurfaceBuilder.CoordinateSystem
getset

Returns or sets the coordinate system

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.FitSurfaceBuilder.DirectionType NXOpen.Features.FitSurfaceBuilder.DirectionOption
getset

Returns or sets the direction option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.FacetCollector NXOpen.Features.FitSurfaceBuilder.FacetCollector
get

Returns the FacetCollector which collects the selected facet region

Created in NX1872.0.0

License requirements: None.

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsAutomatic
getset

Returns or sets the automatic point rejection

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsBoundary
getset

Returns or sets the boundary will limit or extend to the boundaries

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsClosed
getset

Returns or sets the closed or open surface

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsConstrained
getset

Returns or sets the constraint option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsHalfAngle
getset

Returns or sets the half angle option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsMultipleFeatures
getset

Returns or sets the creation of multiple features or single feature

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsRadius
getset

Returns or sets the radius option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsSingleSurface
getset

Returns or sets the creation of single surface feature

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsUniformU
getset

Returns or sets the uniform pathches in U

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.FitSurfaceBuilder.IsUniformV
getset

Returns or sets the uniform patches in V

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder NXOpen.Features.FitSurfaceBuilder.Parameterization
get

Returns the parameterization

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.FitSurfaceBuilder.Point1
getset

Returns or sets the first point of the boundary

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Point NXOpen.Features.FitSurfaceBuilder.Point2
getset

Returns or sets the second point of the boundary

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Point NXOpen.Features.FitSurfaceBuilder.Point3
getset

Returns or sets the third point of the boundary

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Point NXOpen.Features.FitSurfaceBuilder.Point4
getset

Returns or sets the fourth point of the boundary

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.FitSurfaceBuilder.RadiusValue
get

Returns the radius is fixed to a specific value

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.FitSurfaceBuilder.RejectionThresholdValue
get

Returns the rejection threshold value

Created in NX8.5.0

License requirements: None.

unsafe int NXOpen.Features.FitSurfaceBuilder.SmoothFactor
getset

Returns or sets the smooth factor influences the smoothness of the surface

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectNXObject NXOpen.Features.FitSurfaceBuilder.TargetObject
get

Returns the target object to which the face is fitted to can be a facet body, a convergent object, a point set or a point group

Created in NX8.5.0

Deprecated in NX10.0.0. Use Features.FitSurfaceBuilder.TargetObjects .

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Features.FitSurfaceBuilder.TargetObjects
get

Returns the target objects to which the face is fitted to can be a facet body, a point set or a point group

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.FitSurfaceBuilder.TargetType NXOpen.Features.FitSurfaceBuilder.TargetOption
getset

Returns or sets the target option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.ColorCodedRegionBuilder NXOpen.Features.FitSurfaceBuilder.TargetRegion
get

Returns the target regions which is a color coded region

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.FitSurfaceBuilder.Types NXOpen.Features.FitSurfaceBuilder.Type
getset

Returns or sets the type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Direction NXOpen.Features.FitSurfaceBuilder.Vector
getset

Returns or sets the vector specifies the projection direction

Created in NX8.5.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Direction NXOpen.Features.FitSurfaceBuilder.VectorConstraint
getset

Returns or sets the direction constraint

Created in NX8.5.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.